%% Copy processed MPR & FLAIR data to DSC folder 
% - Original program from Christine Preibisch.
% - Major changes by Stephan Kaczmarz at 21OCT15.
% - Major changes by CP 01JAN2018


function [SubjectDir, filelist] = ...
    copy_MPR_FLAIR_2_conditionDSC_dir(SubjectDir, filelist,sb,ct)

    % ---------------------------------------------------------------------
    % COPY T1w (MPRAGE)
    % ---------------------------------------------------------------------
    SubjectDir.condition(ct).DSC.T1w = ...
    	fullfile(SubjectDir.condition(ct).DSC.toplevel,'T1w');
    %create folder (if it does not exist already)
    check_folder(SubjectDir.condition(ct).DSC.T1w);    
    % Copy files
    copyfile(filelist.T1w_nii.anat, SubjectDir.condition(ct).DSC.T1w);
    copyfile(filelist.T1w_nii.GM, SubjectDir.condition(ct).DSC.T1w);
    copyfile(filelist.T1w_nii.WM, SubjectDir.condition(ct).DSC.T1w); 
    copyfile(filelist.T1w_nii.CSF, SubjectDir.condition(ct).DSC.T1w);
    copyfile(filelist.T1w_nii.BrMsk_CSF, SubjectDir.condition(ct).DSC.T1w);
    copyfile(filelist.T1w_nii.BrMsk, SubjectDir.condition(ct).DSC.T1w);
    filelist.condition(ct).DSC.T1w_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.T1w, ...
        '^sub.*\.nii$');
	filelist.condition(ct).DSC.c1T1w_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.T1w, ...
        '^c1sub.*\.nii$');
	filelist.condition(ct).DSC.c2T1w_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.T1w, ...
        '^c2sub.*\.nii$');    
	filelist.condition(ct).DSC.c3T1w_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.T1w, ...
        '^c3sub.*\.nii$'); 
 	filelist.condition(ct).DSC.cBrMsk_T1w_nii = spm_select( 'FPList', ...
        SubjectDir.condition(ct).DSC.T1w, '^cBrMsk.nii$');  
  	filelist.condition(ct).DSC.cBrMsk_CSF_T1w_nii = spm_select( 'FPList', ...
        SubjectDir.condition(ct).DSC.T1w, '^cBrMsk.nii$'); 
    
    % ------------------------------------------------------------------------
    % COPY FLAIR
    % ------------------------------------------------------------------------
    SubjectDir.condition(ct).DSC.FLAIR = ...
    	fullfile(SubjectDir.condition(ct).DSC.toplevel,'FLAIR');
    %create folder (if it does not exist already)
    check_folder(SubjectDir.condition(ct).DSC.FLAIR);    
    % Copy files
    copyfile(filelist.FLAIR_nii.anat, SubjectDir.condition(ct).DSC.FLAIR);
    copyfile(filelist.FLAIR_nii.GM, SubjectDir.condition(ct).DSC.FLAIR);
    copyfile(filelist.FLAIR_nii.WM, SubjectDir.condition(ct).DSC.FLAIR); 
    copyfile(filelist.FLAIR_nii.CSF, SubjectDir.condition(ct).DSC.FLAIR);
    copyfile(filelist.FLAIR_nii.BrMsk_CSF, SubjectDir.condition(ct).DSC.FLAIR);
    copyfile(filelist.FLAIR_nii.BrMsk, SubjectDir.condition(ct).DSC.FLAIR);
    filelist.condition(ct).DSC.FLAIR_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.FLAIR, ...
        '^sub.*\.nii$');
	filelist.condition(ct).DSC.c1FLAIR_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.FLAIR, ...
        '^c1sub.*\.nii$');
	filelist.condition(ct).DSC.c2FLAIR_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.FLAIR, ...
        '^c2sub.*\.nii$');    
	filelist.condition(ct).DSC.c3FLAIR_nii = ...
        spm_select( 'FPList', SubjectDir.condition(ct).DSC.FLAIR, ...
        '^c3sub.*\.nii$'); 
 	filelist.condition(ct).DSC.cBrMsk_FLAIR_nii = spm_select( 'FPList', ...
        SubjectDir.condition(ct).DSC.FLAIR, '^cBrMsk.nii$');  
  	filelist.condition(ct).DSC.cBrMsk_CSF_FLAIR_nii = spm_select( 'FPList', ...
        SubjectDir.condition(ct).DSC.FLAIR, '^cBrMsk.nii$'); 
end
